MatOfFloat4 (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class MatOfFloat4

- java.lang.Object
- - org.opencv.core.Mat
  - - org.opencv.core.MatOfFloat4

-     public class MatOfFloat4
      extends Mat

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Mat

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MatOfFloat4()`
    `` | `MatOfFloat4(float... a)`
    `protected` | `MatOfFloat4(long addr)`
    `` | `MatOfFloat4(Mat m)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alloc(int elemNumber)`
    `void` | `fromArray(float... a)`
    `void` | `fromList(java.util.List<java.lang.Float> lb)`
    `static MatOfFloat4` | `fromNativeAddr(long addr)`
    `float[]` | `toArray()`
    `java.util.List<java.lang.Float>` | `toList()`

    - ### Methods inherited from class org.opencv.core.Mat

      `adjustROI, assignTo, assignTo, channels, checkVector, checkVector, checkVector, clone, col, colRange, colRange, cols, convertTo, convertTo, convertTo, copyTo, copyTo, create, create, cross, dataAddr, depth, diag, diag, diag, dims, dot, dump, elemSize, elemSize1, empty, eye, eye, finalize, get, get, get, get, get, get, getNativeObjAddr, height, inv, inv, isContinuous, isSubmatrix, locateROI, mul, mul, ones, ones, push_back, put, put, put, put, put, put, release, reshape, reshape, row, rowRange, rowRange, rows, setTo, setTo, setTo, setTo, size, step1, step1, submat, submat, submat, t, toString, total, type, width, zeros, zeros`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatOfFloat4

          public MatOfFloat4()

    - #### MatOfFloat4

          protected MatOfFloat4(long addr)

    - #### MatOfFloat4

          public MatOfFloat4(Mat m)

    - #### MatOfFloat4

          public MatOfFloat4(float... a)

  - ### Method Detail

    - #### fromNativeAddr

          public static MatOfFloat4 fromNativeAddr(long addr)

    - #### alloc

          public void alloc(int elemNumber)

    - #### fromArray

          public void fromArray(float... a)

    - #### toArray

          public float[] toArray()

    - #### fromList

          public void fromList(java.util.List<java.lang.Float> lb)

    - #### toList

          public java.util.List<java.lang.Float> toList()

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown